Aria: ArRVisionPTZ Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArRVisionPTZ Class Reference

`#include <ArRVisionPTZ.h>`

Inheritance diagram for ArRVisionPTZ:

List of all members.

## Detailed Description

A class to use the RVision pan tilt zoom unit.

## Public Types
enum | { MAX_PAN = 180, MIN_PAN = -180, MIN_TILT = -30, MAX_TILT = 60, MIN_ZOOM = 0, MAX_ZOOM = 32767, TILT_OFFSET_IN_DEGREES = 38, PAN_OFFSET_IN_DEGREES = 190 }
## Public Member Functions
| ArRVisionPTZ (ArRobot *robot)
virtual bool | canGetFOV (void)
virtual bool | canGetRealPanTilt (void) const
virtual bool | canGetRealZoom (void) const
virtual bool | canZoom (void) const
virtual double | getFOVAtMaxZoom (void)
| Gets the field of view at maximum zoom.
virtual double | getFOVAtMinZoom (void)
| Gets the field of view at minimum zoom.
virtual double | getMaxNegPan (void) const
virtual double | getMaxNegTilt (void) const
virtual double | getMaxPosPan (void) const
virtual double | getMaxPosTilt (void) const
virtual int | getMaxZoom (void) const
virtual int | getMinZoom (void) const
virtual double | getPan (void) const
virtual double | getTilt (void) const
virtual int | getZoom (void) const
virtual bool | init (void)
virtual bool | pan (double degrees)
virtual bool | panRel (double degrees)
virtual bool | panTilt (double degreesPan, double degreesTilt)
virtual bool | panTiltRel (double degreesPan, double degreesTilt)
virtual ArBasePacket * | readPacket (void)
virtual bool | tilt (double degrees)
virtual bool | tiltRel (double degrees)
virtual bool | zoom (int zoomValue)
virtual bool | zoomRel (int zoomValue)
## Protected Member Functions
void | initializePackets (void)
## Protected Attributes
ArDeviceConnection * | myConn
double | myDegToPan
double | myDegToTilt
ArRVisionPacket | myInquiryPacket
ArRVisionPacket | myPacket
double | myPan
double | myPanOffsetInDegrees
ArRVisionPacket | myPanTiltPacket
ArRobot * | myRobot
double | myTilt
double | myTiltOffsetInDegrees
int | myZoom
ArRVisionPacket | myZoomPacket

## Member Enumeration Documentation

anonymous enum

Enumerator:

  MAX_PAN | maximum degrees the unit can pan (clockwise from top)
  MIN_PAN | minimum degrees the unit can pan (counterclockwise from top)
  MIN_TILT | minimum degrees the unit can tilt
  MAX_TILT | maximum degrees the unit can tilt
  MIN_ZOOM | minimum value for zoom
  MAX_ZOOM | maximum value for zoom
  TILT_OFFSET_IN_DEGREES | offset value to convert internal camera coords to world
  PAN_OFFSET_IN_DEGREES | offset value to convert internal camera coords to world

The documentation for this class was generated from the following file:

- ArRVisionPTZ.h